[EPIC] NMnaHorpamu (MikpocnencuHr) - User story #5627

peanisyBaTtu iHTerpaduito 3 Listex
17/07/2024 01:53 - & Katarina Herikh

Status: Ready for development Start date: 17/07/2024
Priority: Normal Due date:

Assignee: # Aleksandr Tsymbalyuk % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Release 112 Spent time: 0.00 hour
Category: Another Week number:

Client: OKKO

Description

nns npoekty OKKO € HeobxigHicTb peanidyBaTu iHTerpauito 3 Listex.

Ajiosi ocobu:
KOpWCTYBay 3 NpaBamu peaaryBaHHs (NloanHa, sika 6yne CTBOpPOBaTU NiaHorpamu) Ta cyrnep aaMiHictpaTop

merta:
OHOBWTI/3ANOBHUTY AaHi MO PO3Mipam TOBapiB Yepes 3anuT o Haau Listex (3a HAsBHOCTI y knieHTa k/oya [ocTyny)

nepenymosa:
1.y TOBapiB He akTyanbHi po3Mipu
2.y ToBapiB HEMA PO3MiIpiB

®DyHKLUiOHaNbHi BUMOrn:

1. JonaTu KHOMKY HOBOro ¢pyHKLioHanN B Ky6iky aHaniTuku.
2. Mpw BigKpUTTI doyHKUiOHany 3aBaHTaxeHHs po3Mmipis Listex:
1. BigkpuBaeTbCcs BikHO 3 BUBOPOM KaTeropii.
2. KopucTyBay MoXe AoaTu nuiwe Kateropito HanHMX4oro piBHs.
3. MoxHa 0bpaTy nvwe oLHy KaTeropit.
4. B BikHi BUBOpY KaTeropii gopatuv 2 Tabw.
1. KaTeropii - 06paHo 32 3aMOBYYBaHHSIM.
2. AnbTepHaTuBHI KaTeropir.
3. Mopaetbes 3anmT Ha API Listex no ToBapam 3 obpaHoi rpynu.
1. Bignosigp Big APl 429 - BinobpaxaTtu noBigoMneHHs 3 TekctoM - CnpobyiiTe nisHiwe, niMit 500 ToBapis 3a 5xB
BMYepnaHo.
. Bignogigb Big API 423 - BinobpaxkaTu NoBifOMNEHHS 3 TEKCTOM - [IOCArHYTO NiMIT CKayyBaHHS KOHTEHTY.
. Bignosigb Big API 401 - Bino6paxaTty noBigoMneHHs 3 TeKCTOM - BincyTHiii apikey.
. Bignogigb Big API 404 - Bino6paxaTty NoOBiOOMNEHHS 3 TEKCTOM - 3anvTyBaHa iHpopMalisi He 3HanaeHo.
. Binnosigb Big API 403 - Binobpaxatu noBigoMneHHs 3 TeKCToM - Hemae foctyny oo 3anuTyBaHol iHchopmaii.
. Bignogigb Big API 400/500/501/503 - BinobpaxaTu NoBignoOMNEHHS 3 TEKCTOM - LLlock niwno He Tak.
. B Tabnunui Bigobpaxatu KinbkicTb focTynHUx 3anuTis. bpatn 3 HTTP 3aronoeky APIl-Usage-Limit.
. Mokwn 0bpobnseTbest 3anuT Ha AP, Ha ekpaHi BinobpaxaeTbcs noagep, Skuii peanisaoBaHo Mo Bepx 3akpuTTS BikHa. Lie
Tpeba 3pobuTh, Wob KOPMCTYBaY AOYEKABCS 3aBaHTaXEHHS [aHUX Ta HE 3aKPWB BIKHO paHile, HiX TO NoTpPibHO.
4. Nicns 3aBaHTaXeHHS AaHnX PopMyeTbCA Tabnuus:
1. Habopi nonis:
1. Hasea ToBapy
2. WTpwux kon
3. Hasea 0CHOBHOI 0auHWL BUMIPY.
4. KonoHka "P0o36ixHicTb" - Bigobpaxae "tak", "Hi", SKILo po3Mipn ToBapy B NiCTEKCI Biopi3HAIOTLCS Bif, PO3MIpIB
ToBapy B wendi. Po3ninatu konbopom, "Tak" - #4DFF3D1F, "Hi" - #FF3D4724.
5. Po3amipu ToBapy B wendi - BUCOTA, WUpUHA, rnbuHa. Buainatm konbopom, #FF3D4724, po3mipw, sKi
PO3PIi3HSAOTHCS.
6. Poamipu ToBapy B Listex - BucoTa, wupuHa, rnnbrHa, 3 nonaBaHHaM nitepu "L" 6ing Ha3Bu KONOHKU.
2. Kopuctysay Moxe copTtyBaty Tabnuuio 3a 6ynb-gKoio KOJIOHKOM, 3a CrafaHHaM abo 3poCTaHHAM.
3. KopurcTtyBay MoXe BMKOPUCTOBYBATW MOLWYK TOBAPY 3a WTPUX-KOAOM i 32 Ha3BOH.
4. Bipobpaxae KinbkicTb ToBapis, Wo 6ynu B 3anuTi Ha Listex i KinbkicTb goctynHux 3anuTie. Hanpuknag: (343/500).
1. Meplwue, cKinbkin ToBapis 6yno B 3an1Ti Ha nictekc 3 obpaHol kaTeropii.
2. Opyre, 3 API-Usage-Limit.
5. KopuctyBay Moxe obpaTu yci ToBapu abo 0bmpaTti KOXEH ToBap OKPEMO.
5. Nicns Bubopy NoTpibHMX TOBapiB KOPUCTYBaY NIATBEPAXYE 3anNNC HOBUX JAHUX HATUCHYBLWM "3acTocyBaTn”

6. PesynbTar - gaHi Nno po3mipam OHOBNEHO.

7. Nopatu onuijto, sika 6yae HaaaBaTy ToBapaM cTatyc, Wo ix rabaputu 6yno aMiHEHO 3a JOMOMOro pyHKLUioHany
3aBaHTaXxeHHs poaMipi Listex i He nepesanucyBaTty ix rabaput 3 06MiHOM.

Flowchart:

......

preryom
H
H

Cucrona

[locmnnaHHsa Ha dpirMy 3 AM3anHoM:

BaxsinBo He 3abyTn

Ha MaibyTHE roBopwv Mpo Te, Wob npu peausaiHi 610Ky rpynoBoro ynpasniHHs 6y4eMo NepeHoCcUTH Lei 610K Tyau, Takox
noTpi6Ho:

1. 3p0bUTU NOLWYK Yepes Pi3Hi pecypcy yHiBepcanbHMUM, Wob KNIEHTM MO KOPUCTYBATUCH PI3HUMMK CepBicamMu B 3aNeXHOCTI Bil
KpaiHu

2. peanisyBatu Ha 6eky MOXNMBICTb CTBOPIOBATU Yepru MO 3anmTam, Wwob po3yMiTu Hinbll 4eTanbHO No cKinbkoM ToBapam
iHbopMmaLlis 3HanaeHa, aKis. 4epsii T.m.

History

#1 - 17/07/2024 05:47 - & Katarina Herikh
- Assignee set to % llya Lepkin-Titov

#2 - 18/07/2024 05:46 - # llya Lepkin-Titov
- File Untitled Diagram.drawio.png added

#3 - 18/07/2024 07:46 - # llya Lepkin-Titov
- File deleted (Untitled Diagram.drawio.png)

#4 - 19/07/2024 00:42 - & llya Lepkin-Titov
- File flowchart.png added

#5 - 22/07/2024 02:02 - & llya Lepkin-Titov
- File last_version.drawio.png added

- Description updated

#6 - 22/07/2024 02:02 - & llya Lepkin-Titov
- File deleted (flowchart.png)

#7 - 22/07/2024 02:03 - & llya Lepkin-Titov

- Project changed from Consulting to Shelf dev

- Status changed from New to Ready for development

- Assignee changed from & llya Lepkin-Titov to # Aleksandr Tsymbalyuk

- Target version set to Release 110

#8 - 06/08/2024 07:36 - # llya Lepkin-Titov
- Description updated

#9 - 27/11/2024 07:42 - & Aleksandr Bilousko

- Target version changed from Release 110 to Release 111
https://www.figma.com/design/mT5ks1IcjpN2haDcW3p1zv/Redesign-1.0?node-id=7251-7183&t=xFwB74kx7tPzTcPW-1

#10 - 28/01/2025 02:23 - & Katarina Herikh
- Target version changed from Release 111 to Release 112

- Client set to OKKO

#11 - 12/02/2025 02:19 - & Katarina Herikh

- Project changed from Shelf dev to [EPIC] lNnaHorpamu (MikpocriesicuHr)

Files

last_version.drawio.png 206 KB
